
%global meadversion 1.29.0
%global namedversion 1.29.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .2
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package snakeyaml}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.29.0.redhat-00001

Name:           %{?scl_prefix}snakeyaml
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        SnakeYAML
Group:          Development/Java

%if %with mead
Source100: snakeyaml-1.29.0.redhat-00001-project-sources.tar.gz
Source102: snakeyaml-1.29.0.redhat-00001.jar
Source103: snakeyaml-1.29.0.redhat-00001-sources.jar
Source104: snakeyaml-1.29.0.redhat-00001.pom
Source105: snakeyaml-1.29.0.redhat-00001-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://www.snakeyaml.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
YAML 1.1 parser and emitter for Java.

%if %with javadoc
%package javadoc
Summary:        Javadoc for snakeyaml
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n snakeyaml-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/snakeyaml-%{namedversion}.jar %{buildroot}%{_javadir}/snakeyaml-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/snakeyaml-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/snakeyaml-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/snakeyaml-%{namedversion}-sources.jar %{buildroot}%{_javadir}/snakeyaml-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/snakeyaml-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/snakeyaml-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/snakeyaml-%{namedversion} -x META-INF/\*
%{__ln_s} snakeyaml-%{namedversion} %{buildroot}%{_javadocdir}/snakeyaml
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt README.md
%{_javadir}/snakeyaml-%{namedversion}.jar
%{_javadir}/snakeyaml.jar
%if %with javadoc
%{_javadir}/snakeyaml-%{namedversion}-javadoc.jar
%{_javadir}/snakeyaml-javadoc.jar
%endif
%{_javadir}/snakeyaml-%{namedversion}-sources.jar
%{_javadir}/snakeyaml-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/snakeyaml-%{namedversion}
%{_javadocdir}/snakeyaml
%endif

%changelog
* Thu May 05 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.29.0-1.redhat_00001.2
Built by CPaaS



* Wed May 04 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.29.0-1.redhat_00001.1
Built by CPaaS



* Tue Mar 31 2020 Yong Yang <yyang@redhat.com> - 1.26.0-1.redhat_00001.1
-  1.26.0.redhat-00001

* Fri Feb 07 2020 Yong Yang <yyang@redhat.com> - 1.24.0-1.redhat_00001.1
- RPM wrapper build 1.24.0.redhat-00001

* Mon Aug 20 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.18.0-1.redhat_2.1
- upgrade to 1.18.0.redhat-2

* Tue Jun 26 2018 Yong Yang <yyang@redhat.com> - 1.17.0-2.redhat_1.1
- Rewrap for 7.2.0

* Tue Feb 07 2017 Petr Sakar <psakar@redhat.com> - 1.17.0-1.redhat_1.1
- upgrade to 1.17.0.redhat-1

* Wed May 13 2015 Fernando Nasser <fnasser@redhat.com> - 1.15.0-2.redhat_1.1
- Re-wrap to include RHEL-6

* Thu Apr 30 2015 David Walluck <dwalluck@redhat.com> - 1.15.0-1.redhat_1.1
- release

